Bug 809008 - add tests cgit URLs to TCMS WebUI
add tests cgit URLs to TCMS WebUI
Status: CLOSED WONTFIX
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 04:24 EDT by Karel Zak
Modified: 2012-07-26 04:50 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 02:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2012-04-02 04:24:33 EDT
It seems there is not connection between TCMS and git where are stored the test scripts. It means that you have to "git clone ssh://pkgs.devel.redhat.com/tests/<pkg>" to review the tests. 

We already have WebUI for the git (http://pkgs.devel.redhat.com/cgit/tests/), so it would be nice to use in TCMS links (URLs) to the cgit to make TCMS web application more usable.

For example "/CoreOS/util-linux-ng/Regression/bz588419-RFE-Changing-the-console-login-timeout" strings at
at https://tcms.engineering.redhat.com/plan/5734/ maybe converted to

<a href="http://pkgs.devel.redhat.com/cgit/tests/util-linux-ng/tree/Regression/bz588419-RFE-Changing-the-console-login-timeout/runtest.sh"> /CoreOS/util-linux-ng/Regression/bz588419-RFE-Changing-the-console-login-timeout </a>.
Comment 1 yawei Li 2012-05-16 04:48:57 EDT
you want to add a link field in test plan?
It seems that adding link to test case is more reasonable?

Or maybe both need link field?
Comment 2 Karel Zak 2012-05-16 13:36:32 EDT
It would be nice to have links everywhere for the test paths.
Comment 3 Chaobin Tang 2012-06-07 02:21:58 EDT
This is so not a generic requirement, applying this rule in TCMS will affect usage of other users.

Note You need to log in before you can comment on or make changes to this bug.